#b script
from eventAPI import *
from APIUtils import *

b = 0

def fireEvent(e):
    global b
    b = getTag(e, "b")
    if (b == 0):
        begin(e)
    else:
        return 1

def begin(e):
    showPicture(e, "Ghost")
    showMessage(e, ["The ghost appears before you again."])
    showMessage(e, ["Greetings adventurers! Just through the door to the east lies the monster that murdered me."])
    showMessage(e, ["I know you brave adventurers will be able to defeat it."])
    showMessage(e, ["The apparition fades away."])
    setTag(e, "b", 1)
    return 1
